# signame: Set this to one of the following:
#   * Short name or abbreviation of SIG (if single purpose and/or multirepo)
#   * Short name or abbreviation + qualifier (eg, like -common)
#   * Software name, plus version if applicable (eg glusterfs10)
# elmajor: Set the EL major version this targets
# relver:  Set this to the revision for this package. Starts at 1.
# See README.md in the template root for more information.
%global signame fasttrack
%global elmajor 8
%global relver  1
%global sigsum  Common files and repos for SIG FastTrack

# If you have other global variables, set them here.

# Release package for a particular SIG
Name: rocky-release-%{signame}
Version: %{elmajor}
Release: %{relver}%{?dist}
Summary: %{sigsum}

# License is based on the Rocky License chosen for the distribution
# and not the software itself
License: BSD-3-Clause

# These generally shouldn't be changed. However, they can be appended.
BuildArch: noarch
Requires: rocky-release
Provides: rocky-release-%{signame} = %{elmajor}

# All sources - Every DNF repo file must start with "Rocky-SIG" and should not
# conflict with other repo files (eg in the case of extra versions).
# Every GPG key should start with "RPM-GPG-KEY-Rocky" - The key is obtained by
# exporting from the build system.
Source0: RPM-GPG-KEY-Rocky-SIG-FastTrack
Source1: Rocky-SIG-FastTrack-New.repo
Source2: Rocky-SIG-FastTrack-Updates.repo
#Source3: Rocky-SIG-FastTrack-Common.repo

%description
This package contains the release files for a Rocky Special Interest Group.

%prep

%build

%clean
%{__rm} -rf %{buildroot}

%install
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg %{SOURCE0}
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/yum.repos.d %{SOURCE1}
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/yum.repos.d %{SOURCE2}
#%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/yum.repos.d %{SOURCE3}

%files
%defattr(-,root,root)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-Rocky-SIG-FastTrack
%config(noreplace) %{_sysconfdir}/yum.repos.d/Rocky-SIG-FastTrack-New.repo
%config(noreplace) %{_sysconfdir}/yum.repos.d/Rocky-SIG-FastTrack-Updates.repo
#%config(noreplace) %{_sysconfdir}/yum.repos.d/Rocky-SIG-FastTrack-Common.repo

%changelog
* Mon Oct 16 2023 Louis Abel <label@rockylinux.org> - 8-1
- Initial creation of SIG Release Package
